## passerelle 9.2.post8+g4da664fa

=== requirements.txt ===
django >= 1.8, <1.12
django-jsonresponse >= 0.10, < 0.11
django-model-utils
requests
-e git+http://repos.entrouvert.org/gadjo.git/#egg=gadjo
phpserialize
pyproj
suds

=== functests/cmis/requirements.txt ===
cmislib
pytest
requests

## passerelle 4.45.9.g092f28c8

=== debian/changelog ===
passerelle (4.45.9.g092f28c8-1~eob90+1) stretch-eobuilder; urgency=low

  * (092f28) lille urban card: add new "add subscriptions" endpoint (#39527)
  * (882610) lille urban card: return error details in card request endpoint
    (#39526)
  * (a10301) base_adresse: fix search when query contains dash (#39817)
  * (b9603f) toulouse_axel: endpoint for child contacts info (#39799)
  * (3338ac) toulouse_axel: add id, text to each contact (#39799)
  * (6c4f8a) toulouse_axel: endpoint for children info (#39796)
  * (c65bb8) toulouse_axel: add id, text to each children (#39796)
  * (d29890) toulouse_axel: add registration info to family info endpoints (#39242)
  * (01293d) views: improve jsonchema validation error message (#38338)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 13 Feb 2020 14:55:38 +0100

passerelle (4.45) stretch-eobuilder; urgency=low

  * (bcaff2) translation update
  * (28f2d4) mdel_ddpacs: shorten verbose name (#39801)
  * (a209db) debian: log tenants names on migrate_schemas (#39779)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 13 Feb 2020 00:17:16 +0100

passerelle (4.44) stretch-eobuilder; urgency=low

  * (84194a) translation update
  * (a1e176) toulouse_axel: booking_info endpoint (#39126)
  * (bb4161) toulouse_axel: move some functions in utils (#39126)
  * (b5e2d6) toulouse_axel: remove trailing slash in examples for consistency
  * (570f7b) remove contrib.agoraplus connector (#39671)
  * (049198) add MDEL DDPACS connector (#35818)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 12 Feb 2020 10:24:17 +0100

passerelle (4.43) stretch-eobuilder; urgency=low

  * (e31e4a) translation update
  * (1480f0) cmis: allow to upload binary documents (#39391)
  * (7692cd) utils: try to guess type of params (#38328)
  * (16dee5) cart@ds cs: do not ask for immediate treatment (#39577)
  * (1aeca3) cmis: add a jsonschema for uploadfile endpoint (#39193)
  * (7a733b) cmis: optional filename to overwrite file.filename (#39415)
  * (1b8efa) cartads cs: open zip file in binary mode (#39466)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 07 Feb 2020 08:41:00 +0100

passerelle (4.42) stretch-eobuilder; urgency=low

  * (5db20e) solis: get _links content for a list of dicts (#39440)
  * (819afb) base: add import/export UI (#15269)
  * (696c66) base: allow specifying resources to export (#15269)
  * (441399) utils: avoid crash on invalid import json (#15269)
  * (c9bb58) clicrdv: fix get_available_timeslots return value (#39403)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 31 Jan 2020 15:06:08 +0100

passerelle (4.41) stretch-eobuilder; urgency=low

  * (a71b04) gesbac: use range() instead of xrange() (#38781)
  * (069c2e) jenkins: run tests against python3 (#38781)
  * (00b46f) setup: use cmis-maykin in python install (#38781)
  * (24ee62) setup: delete print statement (#38781)
  * (ae09ae) use json_loads() instead of json.loads() (#38781)
  * (5fe94e) oxyd: use force_text on binary content (#38781)
  * (5e2541) choosit: use string_types instead of basetring (#38781)
  * (b58c99) sms: make error messages indifferent in py2/py3 (#38781)
  * (b4fb17) test_opengis: mock response content as bytes (#38781)
  * (498a70) opengis: force coordinates precision to six digits (#39197)
  * (7e5854) test_requests: mock response content as bytes (#38781)
  * (52da06) utils: ensure bytes interface over http cached response content
    (#38781)
  * (37c0c3) test_api_access: make test indifferent to bytes vs str repr() length
    (#38781)
  * (9ab3ee) views: pass decoded payload to the logger (#38781)
  * (723b1e) test/wcs: read/write files in binary mode when pickling (#38781)
  * (856761) test_utils_conversion: read files in binary mode (#38781)
  * (3b6486) toulouse_axel: expand dict view (#38781)
  * (8d90b3) toulouse_axel: use force_text() on ET.tostring() results (#38781)
  * (f7fc09) test_tlmcom: compare binary content to binary data (#38781)
  * (39107f) pbx: use string_types instead of basestring (#38781)
  * (a8cd83) test_templatetags: use inspect.isfunction in py3 (#38781)
  * (ae0d8e) tcl: expand dict view (#38781)
  * (32a85d) test_solis: compare binary data to binary string (#38781)
  * (51c0a5) solis: expand filter object (#38781)
  * (2874a2) solis: pass text to re.sub (#38781)
  * (181267) test_soap: use repr() to check error message (#38781)
  * (438f25) test_soap: mock responses withs binary data (#38781)
  * (48a716) test okina: compare binary content to binary data (#38781)
  * (b75fa5) okina: use key arg in sort() (#38781)
  * (1f1c52) nancypoll: use builtin next() (#38781)
  * (9f37c9) nancypoll: pass text data to csv.reader in py3 (#38781)
  * (dc7bcf) conftest: pass binary data to BytesIO (#38781)
  * (9d0629) test meyzieu_newsletter: use values() instead of itervalues() (#38781)
  * (5a64a9) meyzieu_newsletter: expand dict view (#38781)
  * (498440) test mdel: don't rely repr() to check exception messagee (#38781)
  * (9cfd49) test mdel: xml find with appropriate namespace (#38781)
  * (d3c929) test mdel: pass binary data to base64 encode (#38781)
  * (cde9a2) test manager: compare binary content to binary data (#38781)
  * (1b9e0c) lille_urban_card: expand dict view (#38781)
  * (16836c) test jsonresponse: compare binary content to binary data (#38781)
  * (8d277a) test jobs: read files in binary mode (#38781)
  * (b56d0f) test import export: read/write files in binary mode (#38781)
  * (532011) export_json: use force_text() on b64 bytes (#38781)
  * (6a85a5) test sftp: use force_text() instead of decode() (#38781)
  * (74ead6) sftp: store private key as text (#38781)
  * (d25dfd) sftp: wraps private key with TextIOWrapper  (#38781)
  * (6a5aaa) sftp: don't cast bytestring into string (#38781)
  * (1fe904) test iparapheur: mock responses as binary data (#38781)
  * (6af201) iparapheur: use force_text before string interpolation (#38781)
  * (2a42e3) gesbac: use TextIOwrapper to handle latin-1 csv files (#38781)
  * (cbec51) tests: use repr() in error message (#38781)


=== debian/control ===
Source: passerelle
Section: python
Priority: optional
Maintainer: Thomas NOËL <tnoel@entrouvert.com>
Build-Depends: debhelper (>= 9.0.0),
    python-django,
    python-setuptools (>= 0.6b3),
    python-all (>= 2.6.6-3),
    dh-python,
    dh-systemd
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/passerelle
X-Python-Version: >= 2.7

Package: python-passerelle
Architecture: all
Depends: ${python:Depends},
    ${misc:Depends},
    python-django (>= 1:1.11),
    python-gadjo,
    python-django-model-utils,
    python-requests,
    python-setuptools,
    python-django-jsonfield,
    python-suds,
    python-cmislib,
    python-lxml,
    python-dateutil,
    python-pyproj,
    python-pil,
    python-zeep (>= 3.2),
    python-jsonschema,
    python-unidecode,
    python-pyexcel-io,
    python-pyexcel-ods,
    python-pyexcel-xls,
    python-crypto,
    python-feedparser,
    python-pdfrw,
    python-httplib2,
    python-xmlschema
Recommends: python-soappy, python-phpserialize
Description: Uniform access to multiple data sources and services (Python module)

Package: passerelle
Architecture: all
Depends: ${misc:Depends}, adduser,
    python-passerelle (= ${binary:Version}),
    python-hobo,
    python-django-tenant-schemas,
    python-psycopg2,
    python-memcache,
    python-django-mellon,
    uwsgi,
    uwsgi-plugin-python
Recommends: nginx, memcached
Suggests: postgresql
Description: Uniform access to multiple data sources and services

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,systemd

## passerelle 4.62.2.g43a8f8d3

=== debian/changelog ===
passerelle (4.62.2.g43a8f8d3-1~eob90+1) stretch-hotfix; urgency=low

  * (43a8f8) base adresse: adapt to postcode and city now being a list in streets
    dumps (#42608)
  * (2c365d) base_adresse: use new ban data (#38204)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 May 2020 11:23:55 +0200

passerelle (4.62) stretch-hotfix; urgency=low

  * (303458) translation update
  * (f53ab4) api entreprise: add pre-check for siren length (#41589)
  * (9105de) api entreprise: cache calls (#41586)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 22 Apr 2020 12:11:00 +0200

passerelle (4.61) stretch-hotfix; urgency=low

  * (0f2751) api entreprise: send non_diffusables as true when asked (#41926)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 Apr 2020 14:57:18 +0200

passerelle (4.60) stretch-hotfix; urgency=low

  * (ac9bd8) api_entreprise: pass include_private to http request (#41890)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 20 Apr 2020 16:47:53 +0200

passerelle (4.59) stretch-hotfix; urgency=low

  * (7ac5cc) translation update
  * (503f57) phonecalls: add endpoints description (#41846)
  * (ec5212) orange: fix default values in migration (#41848)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 18 Apr 2020 02:59:13 +0200

passerelle (4.58) stretch-hotfix; urgency=low

  * (e59ad1) translation update
  * (2839a6) toulouse-axel: post annual bookings (#41405)
  * (d64215) toulouse-axel: get possible days for annual values (#41405)
  * (f72841) logs: direct access to a log (#23298)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Apr 2020 19:56:11 +0200

passerelle (4.57) stretch-hotfix; urgency=low

  * (597263) translation update
  * (22a8d2) orange: use English in labels (#41092)
  * (f618eb) orange: update contact everyone SMS connector to API v1.2 (#41092)
  * (d77739) arcgis: fix typo (#41811)
  * (abd37a) opengis: add text search for queries (#40743)
  * (f72e90) toulouse_axel: fill REGIME from axel if not provided (#41780)
  * (e3f0c5) toulouse-axel: add regime referential (#41780)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Apr 2020 14:22:07 +0200

passerelle (4.56) stretch-hotfix; urgency=low

  * (c08cbd) translation update
  * (8e6ccd) api_entreprise: precise acoss_covid endpoint description (#41706)
  * (e39b01) api_entreprise: add 'exercices' endpoint (#41416)
  * (535354) toulouse_axel: new endpoint clae_booking (#41591)
  * (72a77e) toulouse_axel: move all about schema in another module (#41591)
  * (7a3cd1) opengis: update local call to feature endpoint (#41716)
  * (6d5356) opengis: make query_layer config parameter optional (#41414)
  * (68d745) opengis: add bbox filter for custom queries (#20535)
  * (10ce34) opengis: cache custom queries (#20535)
  * (286a12) opengis: add query system for features (#20535)
  * (0bc0bd) base: add generic BaseQuery (#20535)
  * (4c4bc6) misc: share query management template code (#20535)
  * (cf2e61) opengis: make case_insensitive parameter explicit (#41386)
  * (3803d4) utils: allow specifying endpoint parameters manually (#41386)
  * (dfcc03) misc: don't try logging empty requests (#41657)
  * (19b139) opengis: add description for tile endpoint (#41656)
  * (089847) atal: add 'new-comments' endpoint (#41533)
  * (47bd83) atal: factor endpoint parameter (#41533)
  * (eaf0d5) misc: change admin to use front login/logout views (#41494)
  * (b3927e) toulouse_axel: remove useless clae_booking_info endpoint (#41384)
  * (8eb77d) toulouse-axel: clae_booking_activities_info for a period (#41384)
  * (bdd7b7) family: always localize received datetime (#41327)
  * (b75d7e) family: PEP8, style (#41327)
  * (1f9a65) toulouse-axel: remove all about next year (#41406)
  * (c1daf7) toulouse_axel: handle timezone on transaction_date (#41325)
  * (e4a063) utils: factorize use of unicodedata module (#38237)
  * (f2b06c) dpark: accept UTC datetime in payment notification (#41373)
  * (555aa3) toulouse_axel: possible days and prefill for a period (#41453)
  * (2450aa) grandlyon street sections: add filtering on insee code (#41446)
  * (dbd0dc) grandlyon street sections: remove custom template (#41446)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Apr 2020 13:06:41 +0200

passerelle (4.55) stretch-hotfix; urgency=low

  * (7dda57) translation update
  * (2ca57c) gdema: don't log requests HTTP errors (#41437)
  * (e6c5ec) api_entreprise: add 'include_private' parameter (#41417)
  * (2bda2b) api_entreprise: add covid endpoints (#41315)
  * (d4a34d) api_entreprise: factor endpoint parameters (#41315)
  * (0ce70f) api_entreprise: remove unused import (#41315)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 08 Apr 2020 18:13:25 +0200

passerelle (4.54) stretch-hotfix; urgency=low

  * (e6dde8) mdel_ddpacs: include template files in package (#41268)
  * (9f6da9) signature: do not require nonce if not verified (#41245)
  * (90d407) opengis: stop using uppercase parameters (#41224)
  * (d47ed7) opengis: use correct json format only when available (#41224)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 06 Apr 2020 08:45:20 +0200

passerelle (4.53) stretch-hotfix; urgency=low

  * (8b6266) translation update
  * (a0e40b) toulouse_axel: return reference year in family info endpoint (#41186)
  * (5d4f07) mdel_ddpacs: add headers to XML document (#40025)
  * (070297) mdel_ddpacs: add xml declaration and namespace in main model file
    (#40025)
  * (98c538) mdel_ddpacs: put envelope before data in zip (#40025)
  * (41cb2a) mdel_ddpacs: change zip file model and test files order (#40025)
  * (56f134) mdel_ddpacs: use 0 as default float (#40013)
  * (136766) misc: find logs corresponding to the same API call (#38157)
  * (fa327e) toulouse_axel: prefill endpoint (#41170)
  * (e992d9) toulouse_axel: endpoint to get possible days for an activity (#41168)
  * (ef2497) toulouse_axel: in real life WS can return 0 activities (#41168)
  * (26a273) toulouse-axel: upperize data sent for DUI update (#41159)


=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
     python-pyexcel-ods,
     python-pyexcel-xls,
     python-crypto,
+    python-pycryptodome,
     python-feedparser,
     python-pdfrw,
     python-httplib2,

## passerelle 4.65.2.g9f1a4e1b

=== debian/changelog ===
passerelle (4.65.2.g9f1a4e1b-1~eob100+1) buster-eobuilder; urgency=low

  * (9f1a4e) opengis: don't add example values for query filters (#42688)
  * (f8f1a1) csvdatasource: fix execute_query method when query in kwargs (#42588)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 10 May 2020 19:19:08 +0200

passerelle (4.65) buster-eobuilder; urgency=low

  * (de1e07) translation update
  * (9a822f) toulouse_axel: order endpoints (#17729)
  * (2c6e9c) generic endpoint: define optional category for display (#17729)
  * (754165) base adresse: adapt to postcode and city now being a list in streets
    dumps (#42608)
  * (495443) logs: make only urls clickable in log popup (#42175)
  * (9ef993) misc: add migration to ensure jsonb type (#42312)
  * (0c5cad) misc: add missed migrations (#42312)
  * (5e1c91) misc: use postgres JSONField (#42312)
  * (1626b1) tests: sort ResourceLog by id to keep order (#42368)
  * (aa3fef) translation update

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 May 2020 15:11:29 +0200

passerelle (4.64) buster-eobuilder; urgency=low

  * (69133c) Revert "tests: do not suppress ResourceLog to keep order (#42368)"
  * (83863f) tests: do not suppress ResourceLog to keep order (#42368)
  * (7babea) okina: accept french decimals for latitude and longitude (#42348)
  * (0551e3) generic endpoint: define optional ordering for display (#17730)
  * (09cb5d) opengis: explain bbox parameter format (#41992)
  * (7a4f96) opengis: add circle filter for custom queries (#41992)
  * (9a3d58) tests: move requests/responses log sizes test (#42187)
  * (50184d) opengis: accept extra parameters for reverse endpoint (#42097)
  * (340e69) translations: use U+2019 for apostrophes

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 01 May 2020 15:36:32 +0200

passerelle (4.63) buster-eobuilder; urgency=low

  * (f3b059) translation update
  * (6c3f03) okina: protect serch endpoint (#40937)
  * (8132db) okina: handle new API format and endpoint (#40937)
  * (637eda) base_adresse: use new ban data (#38204)
  * (9b8c7c) logs: filter logs by level (#42176)
  * (14a4cc) csvdatasource: store data in temporary file when loading excel sheets
    (#40704)
  * (6bc747) Revert "misc: replace v.isdigit() by is_number(v) (#41820)"
  * (c3a514) misc: replace v.isdigit() by is_number(v) (#41820)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 29 Apr 2020 01:04:28 +0200

passerelle (4.62) buster-eobuilder; urgency=low

  * (303458) translation update
  * (f53ab4) api entreprise: add pre-check for siren length (#41589)
  * (9105de) api entreprise: cache calls (#41586)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 22 Apr 2020 12:11:00 +0200

passerelle (4.61) buster-eobuilder; urgency=low

  * (0f2751) api entreprise: send non_diffusables as true when asked (#41926)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 Apr 2020 14:57:18 +0200

passerelle (4.60) buster-eobuilder; urgency=low

  * (ac9bd8) api_entreprise: pass include_private to http request (#41890)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 20 Apr 2020 16:47:53 +0200

passerelle (4.59) buster-eobuilder; urgency=low

  * (7ac5cc) translation update
  * (503f57) phonecalls: add endpoints description (#41846)
  * (ec5212) orange: fix default values in migration (#41848)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 18 Apr 2020 02:59:13 +0200

passerelle (4.58) buster-eobuilder; urgency=low

  * (e59ad1) translation update
  * (2839a6) toulouse-axel: post annual bookings (#41405)
  * (d64215) toulouse-axel: get possible days for annual values (#41405)
  * (f72841) logs: direct access to a log (#23298)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Apr 2020 19:56:11 +0200

passerelle (4.57) buster-eobuilder; urgency=low

  * (597263) translation update
  * (22a8d2) orange: use English in labels (#41092)
  * (f618eb) orange: update contact everyone SMS connector to API v1.2 (#41092)
  * (d77739) arcgis: fix typo (#41811)
  * (abd37a) opengis: add text search for queries (#40743)
  * (f72e90) toulouse_axel: fill REGIME from axel if not provided (#41780)
  * (e3f0c5) toulouse-axel: add regime referential (#41780)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Apr 2020 14:22:07 +0200

passerelle (4.56) buster-eobuilder; urgency=low

  * (c08cbd) translation update
  * (8e6ccd) api_entreprise: precise acoss_covid endpoint description (#41706)
  * (e39b01) api_entreprise: add 'exercices' endpoint (#41416)
  * (535354) toulouse_axel: new endpoint clae_booking (#41591)
  * (72a77e) toulouse_axel: move all about schema in another module (#41591)
  * (7a3cd1) opengis: update local call to feature endpoint (#41716)
  * (6d5356) opengis: make query_layer config parameter optional (#41414)
  * (68d745) opengis: add bbox filter for custom queries (#20535)
  * (10ce34) opengis: cache custom queries (#20535)
  * (286a12) opengis: add query system for features (#20535)
  * (0bc0bd) base: add generic BaseQuery (#20535)
  * (4c4bc6) misc: share query management template code (#20535)
  * (cf2e61) opengis: make case_insensitive parameter explicit (#41386)
  * (3803d4) utils: allow specifying endpoint parameters manually (#41386)
  * (dfcc03) misc: don't try logging empty requests (#41657)
  * (19b139) opengis: add description for tile endpoint (#41656)
  * (089847) atal: add 'new-comments' endpoint (#41533)
  * (47bd83) atal: factor endpoint parameter (#41533)
  * (eaf0d5) misc: change admin to use front login/logout views (#41494)
  * (b3927e) toulouse_axel: remove useless clae_booking_info endpoint (#41384)
  * (8eb77d) toulouse-axel: clae_booking_activities_info for a period (#41384)
  * (bdd7b7) family: always localize received datetime (#41327)
  * (b75d7e) family: PEP8, style (#41327)
  * (1f9a65) toulouse-axel: remove all about next year (#41406)
  * (c1daf7) toulouse_axel: handle timezone on transaction_date (#41325)
  * (e4a063) utils: factorize use of unicodedata module (#38237)


## passerelle 4.72.3.g4af522bc

=== debian/changelog ===
passerelle (4.72.3.g4af522bc-1~eob100+1) buster-eobuilder; urgency=low

  * (4af522) okina: add 'lat' and 'lon' on results when possible (#43292)
  * (eca82e) opendatasoft: export and import queries (#43443)
  * (f2c551) general: add connector class method to get new/edit form class (#43128)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Jun 2020 16:38:22 +0200

passerelle (4.72) buster-eobuilder; urgency=low

  * (115b0b) sms: send SMS asynchronously (#21465)
  * (b90489) sms: move sms code into a dedicated directory (#42426)
  * (ae903d) sms: move default country_code/trunk_prefix to base class (#42427)
  * (5e08de) opendatasoft: publish all fields (#43444)
  * (f36a9f) toulouse-axel: fix handicap fields when not to update (#43407)
  * (c20fb9) toulouse_axel: fix allergie fields when block is not to update (#43407)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 29 May 2020 11:32:49 +0200

passerelle (4.71) buster-eobuilder; urgency=low

  * (7e1e01) opendatasoft: manage error returned (#43223)
  * (ba3e13) opendatasoft: remove dead link to documentation (#43260)
  * (b8b864) misc: log HTTP response headers safely (#43201)
  * (b6d7b1) tests: use postgres instead of sqlite (#42500)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 25 May 2020 17:04:00 +0200

passerelle (4.70) buster-eobuilder; urgency=low

  * (8ad68e) translations update
  * (dfb807) astregs: implement CRUD for Tiers RIB (#43119)
  * (a374bf) astregs: reformat with black (#43118)
  * (575bf0) pastell: adapt URL registration (#20995)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 22 May 2020 11:25:44 +0200

passerelle (4.69) buster-eobuilder; urgency=low

  * (ab363c) translation update
  * (c09c92) opendatasoft: add opendatasoft connector (#40979)
  * (bdfffa) base: add missing migrations (#40979)
  * (9dab5b) cryptor: use sha512 for OAEP hash function (#43122)
  * (990ffe) sms: do not log message content (#43158)
  * (1902ad) opengis: translate /features endpoint description (#43066)
  * (e33ebc) migrations: don't check existing type before jsonb migration (#43131)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 22 May 2020 09:57:41 +0200

passerelle (4.68) buster-eobuilder; urgency=low

  * (c7b387) templates: relayout endpoint description with proper padding (#43039)
  * (827454) translation update
  * (5e0369) opengis: filter custom query on any field (#42008)
  * (45fe11) utils: allow explicit flag on optional endpoint param (#42008)
  * (f84788) opengis: use a django template to index contents (#41990)
  * (4b585d) solis_apa: fix KeyError on lieunbeneficiaire field (#41631)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 19 May 2020 10:29:26 +0200

passerelle (4.67) buster-eobuilder; urgency=low

  * (d0b6c5) tests: add a missing request mock in grenoble_gru (#42885)
  * (a74249) toulouse_axel: reset allergie fields if no update (#42865)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 May 2020 15:05:15 +0200

passerelle (4.66) buster-eobuilder; urgency=low

  * (6f43d3) misc: do not trace on invalid HTTP auth (#42784)
  * (da747f) misc: replace v.isdigit() by is_number(v) (#41820)
  * (15cb8c) logs: remove log_id from pagination (#42441)
  * (9f1a4e) opengis: don't add example values for query filters (#42688)
  * (f8f1a1) csvdatasource: fix execute_query method when query in kwargs (#42588)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 May 2020 10:02:24 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
     python-django-model-utils,
     python-requests,
     python-setuptools,
-    python-django-jsonfield,
     python-suds,
     python-cmislib,
     python-lxml,

## passerelle 4.99.post1+g06ac4e4c

=== debian/changelog ===
passerelle (4.99.post1+g06ac4e4c-1~eob90+1) stretch-hotfix; urgency=low

  * (06ac4e) sms: allow nostop parameter (#47034)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 25 Sep 2020 16:25:36 +0200

passerelle (4.99) stretch-hotfix; urgency=low

  * (658808) translations: fix API Geo label
  * (19e1e7) cart@ds cs: ignore "autres demandeurs" when looking for cerfa id
    (#46828)
  * (927591) translations: fix typos & spelling

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 23 Sep 2020 07:39:00 +0200

passerelle (4.98) stretch-hotfix; urgency=low

  * (b12c84) base: use same caption for level column (#46591)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Sep 2020 19:38:15 +0200

passerelle (4.97) stretch-hotfix; urgency=low

  * (7c025d) grenoble_gru: add optionnal 'dem_pav' parameter (#40641)
  * (ea206e) grenoble_gru: check payload values against 'dem_comp' value (#40641)
  * (226eaf) grenoble_gru: use query string params to filter typologies (#46384)
  * (e78dff) base: show timestamp, level, source ip and message in log details
    (#46591)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Sep 2020 16:18:00 +0200

passerelle (4.96) stretch-hotfix; urgency=low

  * (1ea555) translation update
  * (cfe5ca) sms: add description to send endpoint (#45829)
  * (03e6e5) sms: display SMS connector fields (#45817)
  * (cee019) base: hide more secret fields in service description (#45816)
  * (dc77b5) sms: move sms template view into sms directory (#45815)
  * (0f9b29) sms: set a default template for SMS connectors (#45814)
  * (1661ed) misc: limit feedparser version to keep python 3.5 compatibility
  * (31320b) astregs: make SIRET number optional for association creation (#46435)
  * (0f79fb) manager: set export filename (#46411)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 15 Sep 2020 16:02:10 +0200

passerelle (4.95) stretch-hotfix; urgency=low

  * (c69fd9) astregs: add 'id' and 'text' attributes to bank coordinates search
    results (#46340)
  * (6486da) astregs: handle empty search by bank coordinates results (#46343)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Sep 2020 10:56:01 +0200

passerelle (4.94) stretch-hotfix; urgency=low

  * (531f42) translation update

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Sep 2020 09:48:11 +0200

passerelle (4.93) stretch-hotfix; urgency=low

  * (87ce6c) tox: tell setuptools to use distutils from stdlib (#46252)
  * (e213f8) astregs: add tiers search by bank account number (#46058)
  * (f65b39) toulouse_axel: fix label in situation_familiale_mapping (#46128)
  * (f094dd) meyzieu_newsletters: remove app (#46160)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 01 Sep 2020 14:25:11 +0200

passerelle (4.92) stretch-hotfix; urgency=low

  * (aba77a) toulouse axel: re-numerate children contacts (#45962)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Aug 2020 15:59:25 +0200

passerelle (4.91) stretch-hotfix; urgency=low

  * (f75faa) translation update
  * (33c455) toulouse axel: add endpoint to get all contacts (#45915)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Aug 2020 12:08:34 +0200

passerelle (4.90) stretch-hotfix; urgency=low

  * (793112) translation update
  * (579a60) base_adresse: fix typo in /addresses/ documentation (#45820)
  * (b50c51) tox: limit quixote to <3.2, to keep working with python 3.5
  * (39b758) msic: fix prioritize translation (#45820)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Aug 2020 14:48:07 +0200

passerelle (4.89) stretch-hotfix; urgency=low

  * (7e24d9) solis_apa: use ISO format for suppX birthday (#45775)
  * (b96d6a) arcgis: delay help_text gettext call (#45715)
  * (138e27) family: allow large invoice amount (#45713)
  * (695eb1) fix typo in translation
  * (acad0a) toulouse-axel: anchor some tests on fixed date

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 06 Aug 2020 16:33:42 +0200

passerelle (4.88) stretch-hotfix; urgency=low

  * (0d8d26) translation update
  * (4e7820) api_entreprise: fix normalize_dates function (#39541)
  * (801d55) misc: don't show deprecated endpoints (#43709)
  * (470d9e) templates: move logging and availability buttons to kebab (#45518)
  * (6e3dd8) tests: proper log level in mdel_ddpacs (#45602)
  * (201798) ovh: support /jobs/ API endpoint (#44313)
  * (c18517) tox: do not use buggy pytest 6.0.0 (#45554)
  * (7e414b) api_particulier: dont log 404 for normal caf errors (#44318)
  * (31130a) base_adresse: accept multiple codes on cities endpoint (#45307)
  * (1fabfc) debian: use cheaper uwsgi subsystem (#45454)
  * (5c489c) debian: toggle cmislib logs with DEBUG (#45110)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 31 Jul 2020 14:11:15 +0200

passerelle (4.87) stretch-hotfix; urgency=low

  * (8869d9) grandlyon street sections: treat null commune data as empty string
    (#45210)
  * (0754cb) cart@ds: allow sorting files missing dates (#45041)
  * (4df9fc) commands: update cron help text (#45194)
  * (ce3e84) translation update
  * (c3883d) cartads cs: ignore GetEtapesDossier errors (#45156)
  * (2d5b86) planitec: eventually ignore places with no capacity (#45076)
  * (6c8355) sms: add a twilio connector (#19663)
  * (bb0dec) base: add missing migrations (#19663)
  * (a62d82) tox: remove py2 environment (#44045)
  * (505065) opengis: update test to provide a complete geometry object (#45044)
  * (65b3ec) opengis: ignore non-point geometry in data cache (#45044)
  * (985077) grandlyon street sections: support data returning null values (#45042)
  * (c19878) grandlyon street sections: favor troncon with explicit limits (#44895)
  * (2cedcb) tcl: allow null line ut (#45037)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Jul 2020 10:57:21 +0200

passerelle (4.86) stretch-hotfix; urgency=low

  * (120a9c) toulouse-axel: annual booking for next year (#44727)
  * (3bdbd6) toulouse-axel: booking for next year (#44727)
  * (604362) toulouse-axel: fix annual possible days & reference year (#44725)


## passerelle 5.2.post1+gbb943bfb

=== debian/changelog ===
passerelle (5.2.post1+gbb943bfb-1~eob90+1) stretch-eobuilder; urgency=low

  * (bb943b) greco: "detect" plain text attachment encoding (#47236)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:01:49 +0200

passerelle (5.2) stretch-eobuilder; urgency=low

  * (17e733) sp_fr: serialize FormDefRef as str in exports (#47220)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 01 Oct 2020 11:46:35 +0200

passerelle (5.1) stretch-eobuilder; urgency=low

  * (786d3f) translation update
  * (750599) maelis: initial connector (#47058)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 30 Sep 2020 11:42:19 +0200

passerelle (5.0) stretch-eobuilder; urgency=low

  * (e0bd51) translation update
  * (a83cd8) lille urban card: add code check and card info endpoints (#47064)
  * (b8f36d) Jenkinsfile: build hotfixes for all debian versions (#47046)
  * (6406ad) sms: allow nostop parameter (#47034)
  * (07e457) iws: add sms parameter to bookdate (#46893)
  * (8f9230) sp_fr: serialize mappings (#46878)
  * (a74adc) base: implement serialization of SFTPField (#46877)
  * (990130) tox: get additional modules using https (via #46904#note-2)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 29 Sep 2020 10:38:41 +0200

passerelle (4.99) stretch-eobuilder; urgency=low

  * (658808) translations: fix API Geo label
  * (19e1e7) cart@ds cs: ignore "autres demandeurs" when looking for cerfa id
    (#46828)
  * (927591) translations: fix typos & spelling

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 23 Sep 2020 07:39:00 +0200

passerelle (4.98) stretch-eobuilder; urgency=low

  * (b12c84) base: use same caption for level column (#46591)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Sep 2020 19:38:15 +0200

passerelle (4.97) stretch-eobuilder; urgency=low

  * (7c025d) grenoble_gru: add optionnal 'dem_pav' parameter (#40641)
  * (ea206e) grenoble_gru: check payload values against 'dem_comp' value (#40641)
  * (226eaf) grenoble_gru: use query string params to filter typologies (#46384)
  * (e78dff) base: show timestamp, level, source ip and message in log details
    (#46591)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Sep 2020 16:18:00 +0200

passerelle (4.96) stretch-eobuilder; urgency=low

  * (1ea555) translation update
  * (cfe5ca) sms: add description to send endpoint (#45829)
  * (03e6e5) sms: display SMS connector fields (#45817)
  * (cee019) base: hide more secret fields in service description (#45816)
  * (dc77b5) sms: move sms template view into sms directory (#45815)
  * (0f9b29) sms: set a default template for SMS connectors (#45814)
  * (1661ed) misc: limit feedparser version to keep python 3.5 compatibility
  * (31320b) astregs: make SIRET number optional for association creation (#46435)
  * (0f79fb) manager: set export filename (#46411)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 15 Sep 2020 16:02:10 +0200

passerelle (4.95) stretch-eobuilder; urgency=low

  * (c69fd9) astregs: add 'id' and 'text' attributes to bank coordinates search
    results (#46340)
  * (6486da) astregs: handle empty search by bank coordinates results (#46343)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Sep 2020 10:56:01 +0200

passerelle (4.94) stretch-eobuilder; urgency=low

  * (531f42) translation update

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Sep 2020 09:48:11 +0200

passerelle (4.93) stretch-eobuilder; urgency=low

  * (87ce6c) tox: tell setuptools to use distutils from stdlib (#46252)
  * (e213f8) astregs: add tiers search by bank account number (#46058)
  * (f65b39) toulouse_axel: fix label in situation_familiale_mapping (#46128)
  * (f094dd) meyzieu_newsletters: remove app (#46160)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 01 Sep 2020 14:25:11 +0200

passerelle (4.92) stretch-eobuilder; urgency=low

  * (aba77a) toulouse axel: re-numerate children contacts (#45962)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Aug 2020 15:59:25 +0200

passerelle (4.91) stretch-eobuilder; urgency=low

  * (f75faa) translation update
  * (33c455) toulouse axel: add endpoint to get all contacts (#45915)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Aug 2020 12:08:34 +0200

passerelle (4.90) stretch-eobuilder; urgency=low

  * (793112) translation update
  * (579a60) base_adresse: fix typo in /addresses/ documentation (#45820)
  * (b50c51) tox: limit quixote to <3.2, to keep working with python 3.5
  * (39b758) msic: fix prioritize translation (#45820)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Aug 2020 14:48:07 +0200

passerelle (4.89) stretch-eobuilder; urgency=low

  * (7e24d9) solis_apa: use ISO format for suppX birthday (#45775)
  * (b96d6a) arcgis: delay help_text gettext call (#45715)
  * (138e27) family: allow large invoice amount (#45713)
  * (695eb1) fix typo in translation
  * (acad0a) toulouse-axel: anchor some tests on fixed date

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 06 Aug 2020 16:33:42 +0200

passerelle (4.88) stretch-eobuilder; urgency=low

  * (0d8d26) translation update
  * (4e7820) api_entreprise: fix normalize_dates function (#39541)
  * (801d55) misc: don't show deprecated endpoints (#43709)
  * (470d9e) templates: move logging and availability buttons to kebab (#45518)
  * (6e3dd8) tests: proper log level in mdel_ddpacs (#45602)
  * (201798) ovh: support /jobs/ API endpoint (#44313)
  * (c18517) tox: do not use buggy pytest 6.0.0 (#45554)
  * (7e414b) api_particulier: dont log 404 for normal caf errors (#44318)
  * (31130a) base_adresse: accept multiple codes on cities endpoint (#45307)
  * (1fabfc) debian: use cheaper uwsgi subsystem (#45454)
  * (5c489c) debian: toggle cmislib logs with DEBUG (#45110)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 31 Jul 2020 14:11:15 +0200

passerelle (4.87) stretch-eobuilder; urgency=low

  * (8869d9) grandlyon street sections: treat null commune data as empty string
    (#45210)
  * (0754cb) cart@ds: allow sorting files missing dates (#45041)
  * (4df9fc) commands: update cron help text (#45194)


=== debian/control ===
Source: passerelle
Section: python
Priority: optional
Maintainer: Thomas NOËL <tnoel@entrouvert.com>
Build-Depends: debhelper (>= 10),
    python3-django,
    python3-setuptools,
    python3-all,
    dh-python,
    dh-systemd
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/passerelle

Package: python3-passerelle
Architecture: all
Depends: ${python3:Depends},
    ${misc:Depends},
    python3-django (>= 1:1.11),
    python3-gadjo,
    python3-django-model-utils,
    python3-requests,
    python3-setuptools,
    python3-suds,
    python3-cmislib,
    python3-lxml,
    python3-dateutil,
    python3-pyproj,
    python3-pil,
    python3-zeep (>= 3.2),
    python3-jsonschema,
    python3-unidecode,
    python3-pyexcel-io,
    python3-pyexcel-ods,
    python3-pyexcel-xls,
    python3-crypto,
    python3-pycryptodome,
    python3-feedparser,
    python3-pdfrw,
    python3-httplib2,
    python3-xmlschema
Description: Uniform access to multiple data sources and services (Python module)

Package: passerelle
Architecture: all
Depends: ${misc:Depends}, adduser,
    python3-passerelle (= ${binary:Version}),
    python3-hobo,
    python3-django-tenant-schemas,
    python3-psycopg2,
    python3-memcache,
    python3-django-mellon,
    uwsgi,
    uwsgi-plugin-python3
Recommends: nginx, memcached
Suggests: postgresql
Breaks: python-passerelle (<<5.75.post9)
Replaces: python-passerelle (<<5.75.post9)
Description: Uniform access to multiple data sources and services

## passerelle 5.2.post2+g0d10a1ee

=== debian/changelog ===
passerelle (5.2.post2+g0d10a1ee-1~eob90+1) stretch-eobuilder; urgency=low

  * (0d10a1) tox: limit mock version for compatibility with python 3.5
  * (bb943b) greco: "detect" plain text attachment encoding (#47236)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:23:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=passerelle
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,systemd --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-passerelle/usr/bin/manage.py $(CURDIR)/debian/passerelle/usr/lib/passerelle/manage.py

## passerelle 5.3.post6+g3ffe7d0c

=== debian/changelog ===
passerelle (5.3.post6+g3ffe7d0c-1~eob90+1) stretch-eobuilder; urgency=low

  * (3ffe7d) debian: add spaces around options in uwsgi.ini (#44763)
  * (87e7a3) debian: disable write exception in uwsgi.ini (#44763)
  * (ba665d) base: allow resources to specify fields to hide (#47257)
  * (2f1b6e) toulouse-axel: ADDRESSE block can be empty (#47507)
  * (9fa98c) logs: set modal title with log level and timestamp (#47318)
  * (27eeb9) setup: limit pyexcel* to <0.6 for compatibility with python 3.5

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 13 Oct 2020 08:32:13 +0200

passerelle (5.3) stretch-eobuilder; urgency=low

  * (0d10a1) tox: limit mock version for compatibility with python 3.5
  * (bb943b) greco: "detect" plain text attachment encoding (#47236)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:23:26 +0200

## passerelle 5.4.post2+ga3e8a4b3

=== debian/changelog ===
passerelle (5.4.post2+ga3e8a4b3-1~eob90+1) stretch-eobuilder; urgency=low

  * (a3e8a4) solis_afi_mss: minor corrections mainly on tests (#47858)
  * (ad276b) solis_afi_mss: add solis AFI MSS connector (#47161)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 19 Oct 2020 18:21:16 +0200

passerelle (5.4) stretch-eobuilder; urgency=low

  * (f46622) translation update
  * (257334) sms: add a button to test sending sms (#45333)
  * (6ff2dc) views: explicitly get form_class from generic connector mixin (#45333)
  * (a5ee5c) base: load urls.py from generic connectors apps (#46611)
  * (5319d6) ovh: noStopClause API param must be a boolean (#47691)
  * (30acaa) grenoble_gru: get urgent_demand param boolean value from payload
    (#47614)
  * (8d9151) maelis: accept street number as string (#47315)
  * (3ffe7d) debian: add spaces around options in uwsgi.ini (#44763)
  * (87e7a3) debian: disable write exception in uwsgi.ini (#44763)
  * (ba665d) base: allow resources to specify fields to hide (#47257)
  * (2f1b6e) toulouse-axel: ADDRESSE block can be empty (#47507)
  * (9fa98c) logs: set modal title with log level and timestamp (#47318)
  * (27eeb9) setup: limit pyexcel* to <0.6 for compatibility with python 3.5

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 16 Oct 2020 00:04:38 +0200

## passerelle 5.10.post1+g032bb13a

=== debian/changelog ===
passerelle (5.10.post1+g032bb13a-1~eob90+1) stretch-eobuilder; urgency=low

  * (032bb1) templates: turn links in section titles into buttons (#48651)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 20 Nov 2020 17:35:00 +0100

passerelle (5.10) stretch-eobuilder; urgency=low

  * (6ea530) translation update
  * (dd40e2) grenoble_gru: add PAVs listing endpoint (#48410)
  * (7b79c4) atal: add get-thematique endpoint (#48662)
  * (c5bf4e) atal: deduplicate comments (#47850)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 19 Nov 2020 12:06:47 +0100

passerelle (5.9) stretch-eobuilder; urgency=low

  * (c60633) translation update
  * (faa52f) phonecalls: allow redirecting to portal after call-start (#48522)
  * (6c8bdb) logs: change paginator to avoid count (#48074)
  * (3f57cc) logs: better queryset to search for logs (#48074)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 17 Nov 2020 17:57:13 +0100

passerelle (5.8) stretch-eobuilder; urgency=low

  * (37edb3) csv: ignore missing files when moving CSV files (#48381)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 09 Nov 2020 11:05:25 +0100

passerelle (5.7) stretch-eobuilder; urgency=low

  * (b614a4) update translation
  * (8e899b) rsa13: add connector (#48308)
  * (8c953a) misc: improve rendering of enum JSON schema directive (#48314)
  * (860715) misc: add parameter to declare schema of response body (#21774)
  * (2d9bbb) csvdatasource: clean old files (#47946)
  * (08370b) nancypoll: change upload_to and move files (#47946)
  * (9cd83a) csvdatasource: change upload_to and move files (#47946)
  * (165f7f) logging: allow empty value for logged data sizes (#48235)
  * (4b03e7) logging: manage log_retention_days log parameters (#47426)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 06 Nov 2020 17:23:30 +0100

passerelle (5.6) stretch-eobuilder; urgency=low

  * (0bc80b) translation update
  * (661233) family: add Egee Thonon invoices loader (#48070)
  * (6f6578) translation update
  * (17dc62) ovh: fix fields for use in creation form (#48052)
  * (4fe1eb) ovh: ease setup with new API (#47851)
  * (efb191) grenoble_gru: do not send empty dem_pav if empty (#48046)
  * (fc615a) ovh: send email credit alerts (#42921)
  * (153a91) ovh: update credit left (#46316)
  * (fa1f64) base_adresse: render id as string in streets endpoint (#47976)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 02 Nov 2020 21:04:58 +0100

passerelle (5.5) stretch-eobuilder; urgency=low

  * (b8abb9) translation update
  * (a3e8a4) solis_afi_mss: minor corrections mainly on tests (#47858)
  * (ad276b) solis_afi_mss: add solis AFI MSS connector (#47161)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 21 Oct 2020 01:26:56 +0200
